### Method

# Devhelp BookListBuilder add_sub_book_list

since: 3.30

#### Declaration [src]

    void
    dh_book_list_builder_add_sub_book_list (
      DhBookListBuilder* builder,
      DhBookList* sub_book_list
    )

#### Description [src]

Adds `sub_book_list`.

The `DhBookList` object that will be created with `dh_book_list_builder_create_object()` will contain all the sub-`DhBookList`‘s added with this function (and it will listen to their signals). The sub-`DhBookList`‘s must be added in order of decreasing priority (the first sub-`DhBookList` added has the highest priority). The priority is used in case of book ID conflicts (see dh_book_get_id()).

Available since: 3.30

#### Parameters

`sub_book_list`

  Type: `DhBookList`

  A `DhBookList`.

  The data is owned by the caller of the method.